Dear customer

We suggest you to upgrade your firmware to QTS 4.3.4.0483 build 20180213 or a later version.

If you are using QTS 4.3.4.0483 build 20180213 or an older version, and you still need camera licenses, exFAT Driver, or McAfee, please fill in this form. It is our pleasure to assist you.

*Please note that the licenses for the older version are not compatible with QTS 4.3.4.0483 build 20180213 or a later version.

 

 

Thank you.

QNAP Software Store